class CalculateAbsenceDuration {
  num? pABSENCEDAYS;
  num? pABSENCEHOURS;
  String? pRETURNMSG;
  String? pRETURNSTATUS;

  CalculateAbsenceDuration({this.pABSENCEDAYS, this.pABSENCEHOURS, this.pRETURNMSG, this.pRETURNSTATUS});

  CalculateAbsenceDuration.fromJson(Map<String, dynamic> json) {
    pABSENCEDAYS = json['P_ABSENCE_DAYS'];
    pABSENCEHOURS = json['P_ABSENCE_HOURS'];
    pRETURNMSG = json['P_RETURN_MSG'];
    pRETURNSTATUS = json['P_RETURN_STATUS'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['P_ABSENCE_DAYS'] = this.pABSENCEDAYS;
    data['P_ABSENCE_HOURS'] = this.pABSENCEHOURS;
    data['P_RETURN_MSG'] = this.pRETURNMSG;
    data['P_RETURN_STATUS'] = this.pRETURNSTATUS;
    return data;
  }
}
